| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::xobjdetect::WBDetector Class Referenceabstract
Extended object detection

WaldBoost detector. More...

`#include "xobjdetect.hpp"`

## Public Member Functions
virtual | ~WBDetector ()
virtual void | detect (const Mat &img, std::vector< Rect > &bboxes, std::vector< double > &confidences)=0
| Detect objects on image using WaldBoost detector. More...
virtual void | read (const FileNode &node)=0
| Read detector from FileNode. More...
virtual void | train (const std::string &pos_samples, const std::string &neg_imgs)=0
| Train WaldBoost detector. More...
virtual void | write (FileStorage &fs) const =0
| Write detector to FileStorage. More...

## Static Public Member Functions
static Ptr< WBDetector > | create ()
| Create instance of WBDetector. More...

## Detailed Description

WaldBoost detector.

## Constructor & Destructor Documentation

## § ~WBDetector()

virtual cv::xobjdetect::WBDetector::~WBDetector | ( |  | ) |
| inline virtual

## Member Function Documentation

## § create()

static Ptr<WBDetector> cv::xobjdetect::WBDetector::create | ( |  | ) |
| static

Create instance of WBDetector.

## § detect()

virtual void cv::xobjdetect::WBDetector::detect | ( | const Mat & | img,
|  | std::vector< Rect > & | bboxes,
|  | std::vector< double > & | confidences
| ) |  |
| pure virtual

Detect objects on image using WaldBoost detector.

Parameters

  img | Input image for detection
  bboxes | Bounding boxes coordinates output vector
  confidences | Confidence values for bounding boxes output vector

## § read()

virtual void cv::xobjdetect::WBDetector::read | ( | const FileNode & | node | ) |
| pure virtual

Read detector from FileNode.

Parameters

  node | FileNode for input

## § train()

virtual void cv::xobjdetect::WBDetector::train | ( | const std::string & | pos_samples,
|  | const std::string & | neg_imgs
| ) |  |
| pure virtual

Train WaldBoost detector.

Parameters

  pos_samples | Path to directory with cropped positive samples
  neg_imgs | Path to directory with negative (background) images

## § write()

virtual void cv::xobjdetect::WBDetector::write | ( | FileStorage & | fs | ) | const
| pure virtual

Write detector to FileStorage.

Parameters

  fs | FileStorage for output

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/xobjdetect/include/opencv2/xobjdetect.hpp